# IRsBSEvent Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | SetData ([in] IRsNode *pSpace,[in] IRsNotifyEvent *pEvent)
HRESULT | GetSourceObj ([in] IRnEncapsulator *pSpace,[out, retval] IRsNode **ppNode)
HRESULT | GetRemoteObj ([in] IRnEncapsulator *pSpace,[out, retval] IRsNode **ppNode)
HRESULT | GetSourceObjName ([out, retval] BSTR *pbstrName)
HRESULT | GetRemoteObjName ([out, retval] BSTR *pbstrName)
HRESULT | SetRollbackStatus ([in] RtBOOL bSerializeRollback)
## Properties
RtNotifyEvent * | Type`[get]`

## Detailed Description

Base interface for all event types providing access to event-specific data.

## Member Function Documentation

HRESULT IRsBSEvent::SetData | ( | [in] IRsNode * | pSpace,
|  | [in] IRsNotifyEvent * | pEvent |
| ) |  |  |

Sets the data associated with this event.

Parameters:

  | pSpace | [in] Encapsulator which contains the node.
  | pEvent | [in] Event data to set.

HRESULT IRsBSEvent::GetSourceObj | ( | [in] IRnEncapsulator * | pSpace,
|  | [out, retval] IRsNode ** | ppNode |
| ) |  |  |

Returns source node associated with the event.

Parameters:

  | pSpace | [in] Encapsulator which contains the node.
  | ppNode | [out,retval] Retunrned node object.

HRESULT IRsBSEvent::GetRemoteObj | ( | [in] IRnEncapsulator * | pSpace,
|  | [out, retval] IRsNode ** | ppNode |
| ) |  |  |

Returns remote node associated with the event.

Parameters:

  | pSpace | [in] Encapsulator which contains the node.
  | ppNode | [out,retval] Returned node object.

HRESULT IRsBSEvent::GetSourceObjName | ( | [out, retval] BSTR * | pbstrName | ) |

Returns the name of source node associated with the event.

Parameters:

  | pbstrName | [out,retval] Returned name of node.

HRESULT IRsBSEvent::GetRemoteObjName | ( | [out, retval] BSTR * | pbstrName | ) |

Returns name of remote node associated with the event.

Parameters:

  | pbstrName | [out,retval] Returned name of node.

HRESULT IRsBSEvent::SetRollbackStatus | ( | [in] RtBOOL | bSerializeRollback | ) |

Changes rollback status of the event, if set true the rollback data are serialized, if false rollback data are ignored. default - the rollback information is not serialized with event.

Parameters:

  | bSerializeRollback | [in] Desired status of serialization flag.

## Property Documentation

RtNotifyEvent* IRsBSEvent::Type`[get]`

Returns the type of this event.

Parameters:

  | pVal | [out, retval] Event type (

See also:
  RtNotifyEvent).